#!/bin/bash
CESTA="/etc/firewalld"
LOG="instalace.log"
ADAPTER=$(ip route | grep default | sed -e "s/^.*dev.//" -e "s/.proto.*//")

if [ -d "$CESTA" ] ; then
echo "Firewalld je dostupný, instaluji..."
echo ""
tar -cf zaloha-firewalld.tar $CESTA/firewalld.conf $CESTA/ipsets/ $CESTA/zones $CESTA/services
rm $CESTA/firewalld.conf $CESTA/ipsets/* $CESTA/zones/* $CESTA/services/*
tar -xf firewalld-soubory.tar
mv -f firewalld.conf $CESTA/
mv -f ipsets/ $CESTA/
mv -f zones/ $CESTA/
mv -f services/ $CESTA/
systemctl enable firewalld.service
systemctl start firewalld.service
firewall-cmd --set-default-zone=public
firewall-cmd --permanent --zone=public --add-interface=$ADAPTER
firewall-cmd --reload
date > $LOG
firewall-cmd --list-all >> $LOG
echo "" >> $LOG
echo "Stav firewallu:" >> $LOG
firewall-cmd --state >> $LOG
echo "" >> $LOG
echo "Vychozi adapter:" >> $LOG
echo $ADAPTER >> $LOG
echo ""
echo "HOTOVO"
else
echo "Firewalld není dostupný, ruším instalaci..."
fi
